/**
 * 数据查询接口
 */
import request from '@/utils/request'
import Vue from 'vue'
// import qs from 'qs'

// 采集统计
export function collectStatics(params) {
  const basetConfig = Vue.prototype.baseConfig // 注意该行应放在export里面，否则获取不到值
  const lampPath = basetConfig.lampBasePath
  return request({
    url: lampPath + 'irisAnalysis/dataLogAnalysis',
    method: 'get',
    params
  })
}
// 采集对比
export function collectStaticsContrast(params) {
  const basetConfig = Vue.prototype.baseConfig // 注意该行应放在export里面，否则获取不到值
  const lampPath = basetConfig.lampBasePath
  return request({
    url: lampPath + 'irisAnalysis/dataLogAnalysisContrast',
    method: 'get',
    params
  })
}

// 识别统计
export function recognitionStatics(params) {
  const basetConfig = Vue.prototype.baseConfig // 注意该行应放在export里面，否则获取不到值
  const lampPath = basetConfig.lampBasePath
  return request({
    url: lampPath + 'irisAnalysis/recRecordAnalysis',
    method: 'get',
    params
  })
}
// 识别统计对比
export function recognitionStaticsContrast(params) {
  const basetConfig = Vue.prototype.baseConfig // 注意该行应放在export里面，否则获取不到值
  const lampPath = basetConfig.lampBasePath
  return request({
    url: lampPath + 'irisAnalysis/recRecordAnalysisContrast',
    method: 'get',
    params
  })
}
// 导出采集统计结果
export function exportCollectStatics(params, config) {
  const basetConfig = Vue.prototype.baseConfig // 注意该行应放在export里面，否则获取不到值
  const lampPath = basetConfig.lampBasePath
  return request({
    url: lampPath + 'well/batchExport',
    method: 'get',
    timeout: 120000,
    params,
    ...config,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 导出采集统计比对结果
export function exportCollectStaticsContrast(params, config) {
  const basetConfig = Vue.prototype.baseConfig // 注意该行应放在export里面，否则获取不到值
  const lampPath = basetConfig.lampBasePath
  return request({
    url: lampPath + 'well/batchExport',
    method: 'get',
    timeout: 120000,
    params,
    ...config,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 导出识别统计结果
export function exportRecognitionStatics(params, config) {
  const basetConfig = Vue.prototype.baseConfig // 注意该行应放在export里面，否则获取不到值
  const lampPath = basetConfig.lampBasePath
  return request({
    url: lampPath + 'well/batchExport',
    method: 'get',
    timeout: 120000,
    params,
    ...config,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

// 导出识别统计比对结果
export function exportRecognitionStaticsContrast(params, config) {
  const basetConfig = Vue.prototype.baseConfig // 注意该行应放在export里面，否则获取不到值
  const lampPath = basetConfig.lampBasePath
  return request({
    url: lampPath + 'well/batchExport',
    method: 'get',
    timeout: 120000,
    params,
    ...config,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

